Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455470 - System Drops to shell after software update.
Summary: System Drops to shell after software update.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 9
Hardware: alpha
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 17:26 UTC by Martin Long
Modified: 2013-01-10 04:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-16 20:31:31 UTC


Attachments (Terms of Use)

Description Martin Long 2008-07-15 17:26:10 UTC
Description of problem: 
System Drops to shell after software update.


Version-Release number of selected component (if applicable):


How reproducible: Every time, on 3 different memory sticks on 7 different 
computers.


Steps to Reproduce:
1.Build a Live USB using either Windows or linux
2.Boot on Live USB while connected to the network and approve updates
3.restart system
  
Actual results:
/init: line478: /sysroot/etc/udev/rules.d/50-udev*: ambiguous redirect Bug in 
initramfs /init detected. dropping to a shell Good Luck


Expected results: Normal boot


Additional info: There are two files in the rules.d directory that start 
with "50-udev"  I renamed the one ending in "rpmsave" to "50-ud" so it 
wouldn't be picked up by "50-udev*" the system would then boot.

Comment 1 Jeremy Katz 2008-07-15 22:01:09 UTC
How large of an overlay did you create?

Comment 2 Martin Long 2008-07-15 22:21:20 UTC
I first tried to create a 5000 MB overlay but received an error stating that 
my maximum was 2048.  I tried specifying an overlay of 2048 and saw the same 
error.  So I specified an overlay of 2024 MB which worked.  I'm using a 16Gig 
stick.

Comment 3 Jeremy Katz 2008-07-16 20:31:31 UTC
Ahh, I see what it is.  This is a bug that will manifest with an updated udev
package (only).  I've fixed it up in mkliveinitrd so that future images won't
have the problem.  


Note You need to log in before you can comment on or make changes to this bug.